package com.kmall.admin.service.mk;

import com.kmall.admin.entity.mk.MkCenterMenuEntity;

import java.util.List;
import java.util.Map;

/**
 * 营销中心菜单表Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-15 11:23:38
 */
public interface MkCenterMenuService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    MkCenterMenuEntity queryObject(Integer id);

    /**
     * 查询全部
     *
     * @param map 参数
     * @return list
     */
    List<MkCenterMenuEntity> queryList(Map<String, Object> map);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkCenterMenuEntity> queryListByStore(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 营销中心菜单查询
     * @param map
     * @return
     */
    List<MkCenterMenuEntity> queryCenterByList(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkCenterMenu 实体
     * @return 保存条数
     */
    int save(MkCenterMenuEntity mkCenterMenu);

    /**
     * 根据主键更新实体
     *
     * @param mkCenterMenu 实体
     * @return 更新条数
     */
    int update(MkCenterMenuEntity mkCenterMenu);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
